Package org.apache.sling.scripting.sightly.compiler.commands

## Interface Command

All Known Implementing Classes:
  `Conditional.End`, `Conditional.Start`, `Loop.End`, `Loop.Start`, `OutputVariable`, `OutText`, `Procedure.Call`, `Procedure.End`, `Procedure.Start`, `VariableBinding.End`, `VariableBinding.Global`, `VariableBinding.Start`

    @ProviderType
    public interface Command

A `Command` represents the type of instruction a certain HTL expression or block element should execute. Commands are immutable and can only be processed through a `CommandVisitor`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept​(CommandVisitor visitor)` Accept a visitor.

### Method Detail

#### accept

    void accept​(CommandVisitor visitor)

Accept a visitor.

Parameters:
  `visitor` - the visitor that will process this command